# Form libnet-headers.h

$LIBNET_802_1Q_H=        0x12    #*< 802.1Q header:       18 bytes 
$LIBNET_802_1X_H=        0x04    #*< 802.1X header:        4 bytes 
$LIBNET_802_2_H=         0x03    #*< 802.2 LLC header:     3 bytes 
$LIBNET_802_2SNAP_H=     0x08    #*< 802.2 LLC/SNAP header:8 bytes 
$LIBNET_802_3_H=         0x0e    #*< 802.3 header:        14 bytes 
$LIBNET_ARP_H=           0x08    #*< ARP header w/o addrs: 8 bytes 
$LIBNET_ARP_ETH_IP_H=    0x1c    #*< ARP w/ ETH and IP:   28 bytes 
$LIBNET_BGP4_HEADER_H=   0x13    #*< BGP header:          19 bytes 
$LIBNET_BGP4_OPEN_H=     0x0a    #*< BGP open header:     10 bytes 
$LIBNET_BGP4_UPDATE_H=   0x04    #*< BGP open header:      4 bytes 
$LIBNET_BGP4_NOTIFICATION_H=0x02 #*< BGP notif. header:    2 bytes 
$LIBNET_CDP_H=           0x08    #*< CDP header base:      8 bytes 
$LIBNET_DHCPV4_H=        0xf0    #*< DHCP v4 header:     240 bytes 
$LIBNET_UDP_DNSV4_H=     0x0c    #*< UDP DNS v4 header:   12 bytes 
$LIBNET_TCP_DNSV4_H=     0x0e    #*< TCP DNS v4 header:   14 bytes 
$LIBNET_ETH_H=           0x0e    #*< Ethernet header:     14 bytes 
$LIBNET_FDDI_H=          0x15    #*< FDDI header:         21 bytes 
$LIBNET_ICMPV4_H=        0x04    #*< ICMP header base:     4 bytes 
$LIBNET_ICMPV4_ECHO_H=   0x08    #*< ICMP_ECHO header:     8 bytes 
$LIBNET_ICMPV4_MASK_H=   0x0c    #*< ICMP_MASK header:    12 bytes 
$LIBNET_ICMPV4_UNREACH_H= 0x08   #*< ICMP_UNREACH header:  8 bytes 
$LIBNET_ICMPV4_TIMXCEED_H=0x08   #*< ICMP_TIMXCEED header: 8 bytes 
$LIBNET_ICMPV4_REDIRECT_H=0x08   #*< ICMP_REDIRECT header: 8 bytes 
$LIBNET_ICMPV4_TS_H=     0x14    #*< ICMP_TIMESTAMP headr:20 bytes 
$LIBNET_ICMPV6_H=        0x08    #*< ICMP6 header base:    8 bytes 
$LIBNET_IGMP_H=          0x08    #*< IGMP header:          8 bytes 
$LIBNET_IPV4_H=          0x14    #*< IPv4 header:         20 bytes 
$LIBNET_IPV6_H=          0x28    #*< IPv6 header:         40 bytes 
$LIBNET_IPV6_FRAG_H=     0x08    #*< IPv6 frag header:     8 bytes 
$LIBNET_IPV6_ROUTING_H=  0x04    #*< IPv6 frag header base:4 bytes 
$LIBNET_IPV6_DESTOPTS_H= 0x02    #*< IPv6 dest opts base:  2 bytes 
$LIBNET_IPV6_HBHOPTS_H=  0x02    #*< IPv6 hop/hop opt base:2 bytes 
$LIBNET_IPSEC_ESP_HDR_H= 0x0c    #*< IPSEC ESP header:    12 bytes 
$LIBNET_IPSEC_ESP_FTR_H= 0x02    #*< IPSEC ESP footer:     2 bytes 
$LIBNET_IPSEC_AH_H=      0x10    #*< IPSEC AH header:     16 bytes 
$LIBNET_ISL_H=           0x1a    #*< ISL header:          26 bytes 
$LIBNET_GRE_H=           0x04    #*< GRE header:           4 bytes 
$LIBNET_GRE_SRE_H=       0x04    #*< GRE SRE header:       4 bytes 
$LIBNET_MPLS_H=          0x04    #*< MPLS header:          4 bytes 
$LIBNET_OSPF_H=          0x10    #*< OSPF header:         16 bytes 
$LIBNET_OSPF_HELLO_H=    0x18    #*< OSPF hello header:   24 bytes 
$LIBNET_OSPF_DBD_H=      0x08    #*< OSPF DBD header:      8 bytes 
$LIBNET_OSPF_LSR_H=      0x0c    #*< OSPF LSR header:     12 bytes 
$LIBNET_OSPF_LSU_H=      0x04    #*< OSPF LSU header:      4 bytes 
$LIBNET_OSPF_LSA_H=      0x14    #*< OSPF LSA header:     20 bytes 
$LIBNET_OSPF_AUTH_H=     0x08    #*< OSPF AUTH header:     8 bytes 
$LIBNET_OSPF_CKSUM=      0x10    #*< OSPF CKSUM header:   16 bytes 
$LIBNET_OSPF_LS_RTR_H=   0x10    #*< OSPF LS RTR header:  16 bytes 
$LIBNET_OSPF_LS_NET_H=   0x08    #*< OSPF LS NET header:   8 bytes 
$LIBNET_OSPF_LS_SUM_H=   0x0c    #*< OSPF LS SUM header:  12 bytes 
$LIBNET_OSPF_LS_AS_EXT_H=0x10    #*< OSPF LS AS header:   16 bytes 
$LIBNET_NTP_H=           0x30    #*< NTP header:          48 bytes 
$LIBNET_RIP_H=           0x18    #*< RIP header base:     24 bytes 
$LIBNET_RPC_CALL_H=      0x28    #*< RPC header:          40 bytes
$LIBNET_RPC_CALL_TCP_H=  0x2c    #*< RPC header:          44 bytes
$LIBNET_SEBEK_H=         0x30    # sebek header:          48 bytes    
$LIBNET_STP_CONF_H=      0x23    #*< STP conf header:     35 bytes 
$LIBNET_STP_TCN_H=       0x04    #*< STP tcn header:       4 bytes 
$LIBNET_TOKEN_RING_H=    0x16    #*< Token Ring header:   22 bytes 
$LIBNET_TCP_H=           0x14    #*< TCP header:          20 bytes 
$LIBNET_UDP_H=           0x08    #*< UDP header:           8 bytes 
$LIBNET_VRRP_H=          0x08    #*< VRRP header:          8 bytes 
$LIBNET_802_1Q_PRIMASK=  0x0007    #*< priority mask 
$LIBNET_802_1Q_CFIMASK=  0x0001    #*< CFI mask 
$LIBNET_802_1Q_VIDMASK=  0x0fff    #*< vid mask 
$LIBNET_802_1X_PACKET=   0x00      #*< 802.1x packet 
$LIBNET_802_1X_START=    0x01      #*< 802.1x start 
$LIBNET_802_1X_LOGOFF=   0x02      #*< 802.1x logoff 
$LIBNET_802_1X_KEY=      0x03      #*< 802.1x key 
$LIBNET_802_1X_ENCASFAL= 0x04      #*< 802.1x encasfal 
$LIBNET_SAP_STP=         0x42
$LIBNET_SAP_SNAP=        0xaa
$ARPHRD_NETROM=  0   # from KA9Q: NET/ROM pseudo 
$ARPHRD_ETHER=   1   # Ethernet 10Mbps 
$ARPHRD_EETHER=  2   # Experimental Ethernet 
$ARPHRD_AX25=    3   # AX.25 Level 2 
$ARPHRD_PRONET=  4   # PROnet token ring 
$ARPHRD_CHAOS=   5   # Chaosnet 
$ARPHRD_IEEE802= 6   # IEEE 802.2 Ethernet/TR/TB 
$ARPHRD_ARCNET=  7   # ARCnet 
$ARPHRD_APPLETLK=8   # APPLEtalk 
$ARPHRD_LANSTAR= 9   # Lanstar 
$ARPHRD_DLCI=    15  # Frame Relay DLCI 
$ARPHRD_ATM=     19  # ATM 
$ARPHRD_METRICOM=23  # Metricom STRIP (new IANA id) 
$ARPHRD_IPSEC=   31  # IPsec tunnel 
$ARPOP_REQUEST=   1  # req to resolve address 
$ARPOP_REPLY=     2  # resp to previous request 
$ARPOP_REVREQUEST=3  # req protocol address given hardware 
$ARPOP_REVREPLY=  4  # resp giving protocol address 
$LIBNET_BGP4_MARKER_SIZE=  16
$LIBNET_BGP4_OPEN=         1
$LIBNET_BGP4_UPDATE=       2
$LIBNET_BGP4_NOTIFICATION= 3
$LIBNET_BGP4_KEEPALIVE=    4
$LIBNET_BGP4_MESSAGE_HEADER_ERROR= 1
$LIBNET_BGP4_OPEN_MESSAGE_ERROR=   2
$LIBNET_BGP4_UPDATE_MESSAGE_ERROR= 3
$LIBNET_BGP4_HOLD_TIMER_EXPIRED=   4
$LIBNET_BGP4_FINITE_STATE__ERROR=  5
$LIBNET_BGP4_CEASE=                6
$LIBNET_BGP4_CONNECTION_NOT_SYNCHRONIZED=   1
$LIBNET_BGP4_BAD_MESSAGE_LENGTH=            2
$LIBNET_BGP4_BAD_MESSAGE_TYPE=              3
$LIBNET_BGP4_UNSUPPORTED_VERSION_NUMBER=    1
$LIBNET_BGP4_BAD_PEER_AS=                   2
$LIBNET_BGP4_BAD_BGP_IDENTIFIER=            3
$LIBNET_BGP4_UNSUPPORTED_OPTIONAL_PARAMETER=4
$LIBNET_BGP4_AUTHENTICATION_FAILURE=        5
$LIBNET_BGP4_UNACCEPTABLE_HOLD_TIME=        6
$LIBNET_BGP4_MALFORMED_ATTRIBUTE_LIST
$LIBNET_BGP4_UNRECOGNIZED_WELL_KNOWN_ATTRIBUTE
$LIBNET_BGP4_MISSING_WELL_KNOWN_ATTRIBUTE
$LIBNET_BGP4_ATTRIBUTE_FLAGS_ERROR
$LIBNET_BGP4_ATTRIBUTE_LENGTH_ERROR
$LIBNET_BGP4_INVALID_ORIGIN_ATTRIBUTE
$LIBNET_BGP4_AS_ROUTING_LOOP
$LIBNET_BGP4_INVALID_NEXT_HOP_ATTRIBUTE
$LIBNET_BGP4_OPTIONAL_ATTRIBUTE_ERROR
$LIBNET_BGP4_INVALID_NETWORK_FIELD
$LIBNET_BGP4_MALFORMED_AS_PATH
$LIBNET_PROTO_CDP=   200
$LIBNET_CDP_DEVID=   0x1 # device id 
$LIBNET_CDP_ADDRESS= 0x2 # address 
$LIBNET_CDP_PORTID=  0x3 # port id 
$LIBNET_CDP_CAPABIL= 0x4 # capabilities 
$LIBNET_CDP_VERSION= 0x5 # version 
$LIBNET_CDP_PLATFORM=0x6 # platform 
$LIBNET_CDP_IPPREFIX=0x7 # ip prefix 
$LIBNET_CDP_CAP_L3R= 0x01 # performs level 3 routing 
$LIBNET_CDP_CAP_L2B= 0x02 # performs level 2 transparent bridging 
$LIBNET_CDP_CAP_L2SRB=0x04 # performs level 2 sourceroute bridging 
$LIBNET_CDP_CAP_L2S= 0x08 # performs level 2 switching 
$LIBNET_CDP_CAP_SR=  0x10 # sends and recieves packets on a network 
$LIBNET_CDP_CAP_NOI= 0x20 # does not forward IGMP on non-router ports 
$LIBNET_CDP_CAP_L1F= 0x40 # provides level 1 functionality 
$LIBNET_DHCP_REQUEST=0x1
$LIBNET_DHCP_REPLY=  0x2
$DHCP_MAGIC=                 0x63825363
$LIBNET_BOOTP_MIN_LEN=       0x12c
$LIBNET_DHCP_PAD=            0x00
$LIBNET_DHCP_SUBNETMASK=     0x01
$LIBNET_DHCP_TIMEOFFSET=     0x02
$LIBNET_DHCP_ROUTER=         0x03
$LIBNET_DHCP_TIMESERVER=     0x04
$LIBNET_DHCP_NAMESERVER=     0x05
$LIBNET_DHCP_DNS=            0x06
$LIBNET_DHCP_LOGSERV=        0x07
$LIBNET_DHCP_COOKIESERV=     0x08
$LIBNET_DHCP_LPRSERV=        0x09
$LIBNET_DHCP_IMPSERV=        0x0a
$LIBNET_DHCP_RESSERV=        0x0b
$LIBNET_DHCP_HOSTNAME=       0x0c
$LIBNET_DHCP_BOOTFILESIZE=   0x0d
$LIBNET_DHCP_DUMPFILE=       0x0e
$LIBNET_DHCP_DOMAINNAME=     0x0f
$LIBNET_DHCP_SWAPSERV=       0x10
$LIBNET_DHCP_ROOTPATH=       0x11
$LIBNET_DHCP_EXTENPATH=      0x12
$LIBNET_DHCP_IPFORWARD=      0x13
$LIBNET_DHCP_SRCROUTE=       0x14
$LIBNET_DHCP_POLICYFILTER=   0x15
$LIBNET_DHCP_MAXASMSIZE=     0x16
$LIBNET_DHCP_IPTTL=          0x17
$LIBNET_DHCP_MTUTIMEOUT=     0x18
$LIBNET_DHCP_MTUTABLE=       0x19
$LIBNET_DHCP_MTUSIZE=        0x1a
$LIBNET_DHCP_LOCALSUBNETS=   0x1b
$LIBNET_DHCP_BROADCASTADDR=  0x1c
$LIBNET_DHCP_DOMASKDISCOV=   0x1d
$LIBNET_DHCP_MASKSUPPLY=     0x1e
$LIBNET_DHCP_DOROUTEDISC=    0x1f
$LIBNET_DHCP_ROUTERSOLICIT=  0x20
$LIBNET_DHCP_STATICROUTE=    0x21
$LIBNET_DHCP_TRAILERENCAP=   0x22
$LIBNET_DHCP_ARPTIMEOUT=     0x23
$LIBNET_DHCP_ETHERENCAP=     0x24
$LIBNET_DHCP_TCPTTL=         0x25
$LIBNET_DHCP_TCPKEEPALIVE=   0x26
$LIBNET_DHCP_TCPALIVEGARBAGE=0x27
$LIBNET_DHCP_NISDOMAIN=      0x28
$LIBNET_DHCP_NISSERVERS=     0x29
$LIBNET_DHCP_NISTIMESERV=    0x2a
$LIBNET_DHCP_VENDSPECIFIC=   0x2b
$LIBNET_DHCP_NBNS=           0x2c
$LIBNET_DHCP_NBDD=           0x2d
$LIBNET_DHCP_NBTCPIP=        0x2e
$LIBNET_DHCP_NBTCPSCOPE=     0x2f
$LIBNET_DHCP_XFONT=          0x30
$LIBNET_DHCP_XDISPLAYMGR=    0x31
$LIBNET_DHCP_DISCOVERADDR=   0x32
$LIBNET_DHCP_LEASETIME=      0x33
$LIBNET_DHCP_OPTIONOVERLOAD= 0x34
$LIBNET_DHCP_MESSAGETYPE=    0x35
$LIBNET_DHCP_SERVIDENT=      0x36
$LIBNET_DHCP_PARAMREQUEST=   0x37
$LIBNET_DHCP_MESSAGE=        0x38
$LIBNET_DHCP_MAXMSGSIZE=     0x39
$LIBNET_DHCP_RENEWTIME=      0x3a
$LIBNET_DHCP_REBINDTIME=     0x3b
$LIBNET_DHCP_CLASSSID=       0x3c
$LIBNET_DHCP_CLIENTID=       0x3d
$LIBNET_DHCP_NISPLUSDOMAIN=  0x40
$LIBNET_DHCP_NISPLUSSERVERS= 0x41
$LIBNET_DHCP_MOBILEIPAGENT=  0x44
$LIBNET_DHCP_SMTPSERVER=     0x45
$LIBNET_DHCP_POP3SERVER=     0x46
$LIBNET_DHCP_NNTPSERVER=     0x47
$LIBNET_DHCP_WWWSERVER=      0x48
$LIBNET_DHCP_FINGERSERVER=   0x49
$LIBNET_DHCP_IRCSERVER=      0x4a
$LIBNET_DHCP_STSERVER=       0x4b
$LIBNET_DHCP_STDASERVER=     0x4c
$LIBNET_DHCP_END=            0xff
$LIBNET_DHCP_MSGDISCOVER=    0x01
$LIBNET_DHCP_MSGOFFER=       0x02
$LIBNET_DHCP_MSGREQUEST=     0x03
$LIBNET_DHCP_MSGDECLINE=     0x04
$LIBNET_DHCP_MSGACK=         0x05
$LIBNET_DHCP_MSGNACK=        0x06
$LIBNET_DHCP_MSGRELEASE=     0x07
$LIBNET_DHCP_MSGINFORM=      0x08
$LIBNET_DNS_H= $LIBNET_UDP_DNSV4_H
$ETHERTYPE_PUP=          0x0200  # PUP protocol 
$ETHERTYPE_IP=           0x0800  # IP protocol 
$ETHERTYPE_ARP=          0x0806  # addr. resolution protocol 
$ETHERTYPE_REVARP=       0x8035  # reverse addr. resolution protocol 
$ETHERTYPE_VLAN=         0x8100  # IEEE 802.1Q VLAN tagging 
$ETHERTYPE_EAP=          0x888e  # IEEE 802.1X EAP authentication 
$ETHERTYPE_MPLS=         0x8847  # MPLS 
$ETHERTYPE_LOOPBACK=     0x9000  # used to test interfaces 
$LIBNET_FDDI_LLC_FRAME= 0x10
$LIBNET_FDDI_48BIT_ADDR=0x40
$FDDI_TYPE_IP=           0x0800  # IP protocol 
$FDDI_TYPE_ARP=          0x0806  # addr. resolution protocol 
$FDDI_TYPE_REVARP=       0x8035  # reverse addr. resolution protocol 
$GRE_CSUM=                        0x8000
$GRE_ROUTING=                        0x4000
$GRE_KEY=	                0x2000
$GRE_SEQ=	                0x1000
$GRE_STRICT=                        0x0800
$GRE_REC=	                0x0700
$GRE_ACK=	                0x0080
$GRE_FLAGS_MASK=                        0x00F8
$GRE_VERSION_MASK=                       0x0007
$GRE_VERSION_0=                          0x0000
$GRE_VERSION_1=                          0x0001
$GRE_SNA=                                0x0004
$GRE_OSI_NETWORK_LAYER=                  0x00FE
$GRE_PUP=                                0x0200
$GRE_XNS=                                0x0600
$GRE_IP=                                 0x0800
$GRE_CHAOS=                              0x0804
$GRE_RFC_826_ARP=                        0x0806
$GRE_FRAME_RELAY_ARP=                    0x0808
$GRE_VINES=                              0x0BAD
$GRE_VINES_ECHO=                         0x0BAE
$GRE_VINES_LOOPBACK=                     0x0BAF
$GRE_DECNET=                             0x6003
$GRE_TRANSPARENT_ETHERNET_BRIDGING=      0x6558
$GRE_RAW_FRAME_RELAY=                    0x6559
$GRE_APOLLO_DOMAIN=                      0x8019
$GRE_ETHERTALK=                          0x809B
$GRE_NOVELL_IPX=                         0x8137
$GRE_RFC_1144_TCP_IP_COMPRESSION=        0x876B
$GRE_IP_AUTONOMOUS_SYSTEMS=              0x876C
$GRE_SECURE_DATA=                        0x876D
$GRE_PPP=                                0x880b # taken from RFC 2637 
$IPPROTO_GRE=47
$IPTOS_LOWDELAY=     0x10
$IPTOS_THROUGHPUT=   0x08
$IPTOS_RELIABILITY=  0x04
$IPTOS_LOWCOST=      0x02
$IP_RF=0x8000        # reserved fragment flag 
$IP_DF=0x4000        # dont fragment flag 
$IP_MF=0x2000        # more fragments flag 
$IP_OFFMASK=0x1fff   # mask for fragmenting bits 
$IPOPT_EOL=      0   # end of option list 
$IPOPT_NOP=      1   # no operation 
$IPOPT_RR=       7   # record packet route 
$IPOPT_TS=       68  # timestamp 
$IPOPT_SECURITY= 130 # provide s,c,h,tcc    
$IPOPT_LSRR=     131 # loose source route 
$IPOPT_SATID=    136 # satnet id 
$IPOPT_SSRR=     137 # strict source route 
$LIBNET_IPV6_NH_FRAGMENT=44
$LIBNET_IPV6_NH_ROUTING= 43
$LIBNET_IPV6_NH_DESTOPTS=60
$LIBNET_IPV6_NH_HBH=     0
$IPPROTO_ICMP6=  0x3a
$ICMP6_ECHO=         128
$ICMP6_ECHOREPLY=    129
$ICMP6_UNREACH=      1
$ICMP6_PKTTOOBIG=    2
$ICMP6_TIMXCEED=     3
$ICMP6_PARAMPROB=    4
$ICMP_ECHOREPLY=                 0
$ICMP_UNREACH=                   3
$ICMP_SOURCEQUENCH=              4
$ICMP_REDIRECT=                  5
$ICMP_ECHO=                      8
$ICMP_ROUTERADVERT=              9
$ICMP_ROUTERSOLICIT=             10
$ICMP_TIMXCEED=                  11
$ICMP_PARAMPROB=                 12
$ICMP_TSTAMP=                    13
$ICMP_TSTAMPREPLY=               14
$ICMP_IREQ=                      15
$ICMP_IREQREPLY=                 16
$ICMP_MASKREQ=                   17
$ICMP_MASKREPLY=                 18
$ICMP_UNREACH_NET=               0
$ICMP_UNREACH_HOST=              1
$ICMP_UNREACH_PROTOCOL=          2
$ICMP_UNREACH_PORT=              3
$ICMP_UNREACH_NEEDFRAG=          4
$ICMP_UNREACH_SRCFAIL=           5
$ICMP_UNREACH_NET_UNKNOWN=       6
$ICMP_UNREACH_HOST_UNKNOWN=      7
$ICMP_UNREACH_ISOLATED=          8
$ICMP_UNREACH_NET_PROHIB=        9
$ICMP_UNREACH_HOST_PROHIB=       10
$ICMP_UNREACH_TOSNET=            11
$ICMP_UNREACH_TOSHOST=           12
$ICMP_UNREACH_FILTER_PROHIB=     13
$ICMP_UNREACH_HOST_PRECEDENCE=   14
$ICMP_UNREACH_PRECEDENCE_CUTOFF= 15
$ICMP_REDIRECT_NET=              0
$ICMP_REDIRECT_HOST=             1
$ICMP_REDIRECT_TOSNET=           2
$ICMP_REDIRECT_TOSHOST=          3
$ICMP_TIMXCEED_INTRANS=          0
$ICMP_TIMXCEED_REASS=            1
$ICMP_PARAMPROB_OPTABSENT=       1
$IGMP_MEMBERSHIP_QUERY=          0x11    # membership query 
$IGMP_V1_MEMBERSHIP_REPORT=      0x12    # Ver. 1 membership report 
$IGMP_V2_MEMBERSHIP_REPORT=      0x16    # Ver. 2 membership report 
$IGMP_LEAVE_GROUP=               0x17    # Leave-group message 
$IPPROTO_ESP=50      # not everyone's got this 
$IPPROTO_AH=51       # not everyone's got this 
$LIBNET_PROTO_ISL=   201
$IPPROTO_OSPF=   89  # not everyone's got this 
$IPPROTO_OSPF_LSA=   890     # made this up.  Hope it's unused 
$LIBNET_MODX=        4102    # used in LSA checksum 
$LIBNET_OPT_EBIT= 0x02 # describes the way AS-external-LSAs are flooded 
$LIBNET_OPT_MCBIT=0x04 # whether or not IP multicast dgrams are fwdd 
$LIBNET_OPT_NPBIT=0x08 # describes handling of type-7 LSAs 
$LIBNET_OPT_EABIT=0x10 # rtr's willingness to send/recv EA-LSAs 
$LIBNET_OPT_DCBIT=0x20 # describes handling of demand circuits 
$LIBNET_MPLS_BOS_ON=   1
$LIBNET_MPLS_BOS_OFF=  0
$LIBNET_NTP_LI_NW=   0x0         # no warning 
$LIBNET_NTP_LI_AS=   0x1         # last minute has 61 seconds 
$LIBNET_NTP_LI_DS=   0x2         # last minute has 59 seconds 
$LIBNET_NTP_LI_AC=   0x3         # alarm condition 
$LIBNET_NTP_VN_2=    0x2         # version 2 
$LIBNET_NTP_VN_3=    0x3         # version 3 
$LIBNET_NTP_VN_4=    0x4         # version 4 
$LIBNET_NTP_MODE_R=  0x0         # reserved 
$LIBNET_NTP_MODE_A=  0x1         # symmetric active 
$LIBNET_NTP_MODE_P=  0x2         # symmetric passive 
$LIBNET_NTP_MODE_C=  0x3         # client 
$LIBNET_NTP_MODE_S=  0x4         # server 
$LIBNET_NTP_MODE_B=  0x5         # broadcast 
$LIBNET_NTP_MODE_RC= 0x6         # reserved for NTP control message 
$LIBNET_NTP_MODE_RP= 0x7         # reserved for private use 
$LIBNET_NTP_STRATUM_UNAVAIL= 0x0 # unspecified or unavailable 
$LIBNET_NTP_STRATUM_PRIMARY= 0x1 # primary reference (radio clock) 
$LIBNET_NTP_REF_LOCAL=   0x4c4f434c  # uncalibrated local clock 
$LIBNET_NTP_REF_PPS=     0x50505300  # atomic / pulse-per-second clock 
$LIBNET_NTP_REF_ACTS=    0x41435453  # NIST dialup modem 
$LIBNET_NTP_REF_USNO=    0x55534e4f  # USNO modem service 
$LIBNET_NTP_REF_PTB=     0x50544200  # PTB (German) modem service  
$LIBNET_NTP_REF_TDF=     0x54444600  # Allouis (French) radio 
$LIBNET_NTP_REF_DCF=     0x44434600  # Mainflingen (German) radio 
$LIBNET_NTP_REF_MSF=     0x4d534600  # Rugby (UK) radio 
$LIBNET_NTP_REF_WWV=     0x57575600  # Ft Collins (US) radio 
$LIBNET_NTP_REF_WWVB=    0x57575642  # Boulder (US) radio 
$LIBNET_NTP_REF_WWVH=    0x57575648  # Kaui Hawaii (US) radio 
$LIBNET_NTP_REF_CHU=     0x43485500  # Ottaha (Canada) radio 
$LIBNET_NTP_REF_LORC=    0x4c4f5243  # LORAN-C radionavigation 
$LIBNET_NTP_REF_OMEG=    0x4f4d4547  # OMEGA radionavigation 
$LIBNET_NTP_REF_GPS=     0x47505300  # global positioning system 
$LIBNET_NTP_REF_GOES=    0x474f4553  # geostationary orbit env satellite 
$OSPFVERSION=        2
$LIBNET_OSPF_UMD=   0   # UMd monitoring packet 
$LIBNET_OSPF_HELLO= 1   # HELLO packet 
$LIBNET_OSPF_DBD=   2   # dataBase description packet 
$LIBNET_OSPF_LSR=   3   # link state request packet 
$LIBNET_OSPF_LSU=   4   # link state Update Packet 
$LIBNET_OSPF_LSA=   5   # link state acknowledgement packet 
$LIBNET_OSPF_AUTH_NULL=  0   # null password 
$LIBNET_OSPF_AUTH_SIMPLE=1   # simple, plaintext, 8 int8_t password 
$LIBNET_OSPF_AUTH_MD5=   2   # MD5 
$LIBNET_DBD_IBI=     0x01    # init 
$LIBNET_DBD_MBIT=    0x02    # more DBD packets are to come 
$LIBNET_DBD_MSBIT=   0x04    # If 1, sender is the master in the exchange 
$LIBNET_LS_TYPE_RTR=     1   # router-LSA 
$LIBNET_LS_TYPE_NET=     2   # network-LSA 
$LIBNET_LS_TYPE_IP=      3   # summary-LSA (IP Network) 
$LIBNET_LS_TYPE_ASBR=    4   # summary-LSA (ASBR) 
$LIBNET_LS_TYPE_ASEXT=   5   # AS-external-LSA 
$LIBNET_RTR_FLAGS_W= 0x0100  # W bit 
$LIBNET_RTR_FLAGS_E= 0x0200  # E bit 
$LIBNET_RTR_FLAGS_B= 0x0400  # B bit 
$LIBNET_LINK_ID_NBR_ID=  1   # Neighbors router ID, also can be 4 
$LIBNET_LINK_ID_IP_DES=  2   # IP address of designated router 
$LIBNET_LINK_ID_SUB=     3   # IP subnet number 
$LIBNET_RTR_TYPE_PTP=    1   # Point-To-Point 
$LIBNET_RTR_TYPE_TRANS=  2   # Connection to a "transit network" 
$LIBNET_RTR_TYPE_STUB=   3   # Connectin to a "stub network" 
$RTR_TYPE_VRTL=  4   # connects to a "virtual link" 
$LIBNET_AS_E_BIT_ON=0x80000000  # as_metric 
$RIPCMD_REQUEST=  1  # want info 
$RIPCMD_RESPONSE= 2  # responding to request 
$RIPCMD_TRACEON=  3  # turn tracing on 
$RIPCMD_TRACEOFF= 4  # turn it off 
$RIPCMD_POLL=     5  # like request, but anyone answers 
$RIPCMD_POLLENTRY=6  # like poll, but for entire entry 
$RIPCMD_MAX=      7  # ? command 
$RIPVER_0=        0
$RIPVER_1=        1
$RIPVER_2=        2
$LIBNET_RPC_CALL= 0
$LIBNET_RPC_REPLY=1
$LIBNET_RPC_VERS= 2
$LIBNET_RPC_LAST_FRAG=0x80000000
$LIBNET_PMAP_PROGRAM=         100000
$LIBNET_PMAP_PROC_NULL=       0
$LIBNET_PMAP_PROC_SET=        1
$LIBNET_PMAP_PROC_UNSET=      2
$LIBNET_PMAP_PROC_GETADDR=    3
$LIBNET_PMAP_PROC_DUMP=       4
$LIBNET_PMAP_PROC_CALLIT=     5
$LIBNET_PMAP_PROC_BCAST=      5 # Not a typo 
$LIBNET_PMAP_PROC_GETTIME=    6
$LIBNET_PMAP_PROC_UADDR2TADDR=7
$LIBNET_PMAP_PROC_TADDR2UADDR=8
$LIBNET_PMAP_PROC_GETVERSADDR=9
$LIBNET_PMAP_PROC_INDIRECT=   10
$LIBNET_PMAP_PROC_GETADDRLIST=11
$LIBNET_PMAP_PROC_GETSTAT=    12
$TCP_FIN=   0x01      # finished send data 
$TCP_SYN=   0x02      # synchronize sequence numbers 
$TCP_RST=   0x04      # reset the connection 
$TCP_PUSH=  0x08      # push data to the app layer 
$TCP_ACK=   0x10      # acknowledge 
$TCP_URG=   0x20      # urgent! 
$TCP_ECE=   0x40
$TCP_CWR=   0x80
$LIBNET_TOKEN_RING_FRAME= 0x10
$LIBNET_TOKEN_RING_LLC_FRAME= 0x40
$TOKEN_RING_TYPE_IP=           0x0800  # IP protocol 
$TOKEN_RING_TYPE_ARP=          0x0806  # addr. resolution protocol 
$TOKEN_RING_TYPE_REVARP=       0x8035  # reverse addr. resolution protocol 
$SEBEK_PROTO_VERSION=1
$SEBEK_TYPE_READ=    0  # Currently, only read is supported 
$SEBEK_TYPE_WRITE=   1
$SEBEK_CMD_LENGTH=  12
$IPPROTO_VRRP=112    # not everyone's got this 
$LIBNET_VRRP_VERSION_01= 0x1
$LIBNET_VRRP_VERSION_02= 0x2
$LIBNET_VRRP_TYPE_ADVERT=0x1
$LIBNET_VRRP_AUTH_NONE=  0x1
$LIBNET_VRRP_AUTH_PASSWD=0x2
$LIBNET_VRRP_AUTH_IPAH=  0x3
$LIBNET_LINK  =   0x00            # link-layer interface 
$LIBNET_RAW4  =   0x01            # raw socket interface (ipv4) 
$LIBNET_RAW6  =   0x02            # raw socket interface (ipv6) 


# from linux/in.h

$IPPROTO_IP= 0             # Dummy protocol for TCP               
$IPPROTO_ICMP= 1           # Internet Control Message Protocol    
$IPPROTO_IGMP= 2           # Internet Group Management Protocol   
$IPPROTO_IPIP= 4           # IPIP tunnels (older KA9Q tunnels use 94) 
$IPPROTO_TCP= 6            # Transmission Control Protocol        
$IPPROTO_EGP= 8            # Exterior Gateway Protocol            
$IPPROTO_PUP= 12           # PUP protocol                         
$IPPROTO_UDP= 17           # User Datagram Protocol               
$IPPROTO_IDP=22            # XNS IDP protocol                     
$IPPROTO_RSVP= 46          # RSVP protocol                        
$IPPROTO_GRE= 47           # Cisco GRE tunnels (rfc 17011702)    
$IPPROTO_IPV6= 41          # IPv6-in-IPv4 tunnelling              
$IPPROTO_ESP= 50           # Encapsulation Security Payload protocol 
$IPPROTO_AH= 51            # Authentication Header protocol       
$IPPROTO_PIM= 103          # Protocol Independent Multicast       
$IPPROTO_COMP= 108         # Compression Header protocol 
$IPPROTO_SCTP= 132         # Stream Control Transport Protocol
$IPPROTO_RAW=  255         # Raw IP packets